:root {
  --brand-color: #ff893a;
}

.kzOverlay {
  position: fixed;
  inset: 0px;
  background: rgba(0, 0, 0, 0.8);
}

#kzPreferredDatePopup {
  --h-margin: 22px;
  --round: 10px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% - var(--h-margin) * 2);
  max-width: 800px;
  margin: 0 auto;
  background-color: #fff;
  border-radius: var(--round);
  flex-direction: column;
  align-items: center;
}

#kzPreferredDatePopup .kzTitle {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #000;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0.8px;
  border-radius: var(--round) var(--round) 0px 0px;
  background: #f0f0f0;
}

#kzPreferredDatePopup .kzSelectedDate {
  margin: 16px 0;
}

#kzPreferredDatePopup .kzSelectedDate :is(.kzLabel, .kzDate) {
  color: #000;
  font-size: 20px;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: 0.7px;
}

#kzPreferredDatePopup .kzPreferredHours li.kzSelected {
  background-color: gray;
  background-color: rgba(255, 137, 58, 0.6);
}

#kzPreferredDatePopup .kzPreferredHours li > svg {
  --width: 11px;
  width: var(--width);
  height: 16px;
  position: absolute;
  right: calc(var(--height) / 2 - var(--width));
}

:is(.kzOverlay, #kzPreferredDatePopup) {
  z-index: -1;
  opacity: 0;
  transition: opacity 0.4s ease;
}

:is(.kzOverlay, #kzPreferredDatePopup).kzNoAnim {
  transition: opacity 0.05s !important;
}

html body:has(> .kzShowPopup) {
  position: relative;
}

html.kzShowPopup {
  overflow: hidden;
  --kz-popup-z-index: 10000;
}

html.kzShowPopup :is(#kzPreferredDatePopup, .kzOverlay) {
  display: flex;
}

html.kzShowPopup :is(.kzOverlay, #kzPreferredDatePopup) {
  opacity: 1;
  z-index: var(--kz-popup-z-index);
}

html.kzShowPopup #kzPreferredDatePopup {
  z-index: calc(var(--kz-popup-z-index) + 1);
}

#kzPreferredDatePopup .kzTitle {
  flex-direction: column;
  height: auto;
  padding: 12px 0;
}

#kzPreferredDatePopup .kzTitle :is(.kzLine1, .kzLine2) {
  margin: 0;
  color: #fff;
  font-family: "Hiragino Kaku Gothic ProN";
  font-style: normal;
  font-weight: 600;
  line-height: 160%;
}

#kzPreferredDatePopup .kzTitle .kzLine1 {
  font-size: 18px;
  letter-spacing: 0.9px;
}

#kzPreferredDatePopup .kzTitle .kzLine2 {
  font-size: 12px;
  letter-spacing: 0.6px;
}

#kzPreferredDatePopup .kzSelectedDate {
  align-items: center;
  font-family: "Hiragino Kaku Gothic ProN";
  line-height: 140%;
}

#kzPreferredDatePopup .kzSelectedDate :is(.kzDate) {
  font-size: 20px;
  letter-spacing: 1px;
}

#kzPreferredDatePopup .kzPreferredHours > li {
  height: unset;
  display: list-item;
  background: unset;
  border-radius: unset;
  margin-top: 10px;
}

#kzPreferredDatePopup .kzPreferredHours > li.kzSelected {
  background-color: unset;
}

#kzPreferredDatePopup .kzPreferredHours .kzAllDayNotation {
  display: none;
  text-align: center;
  padding-bottom: 7px;
  color: #000;
  font-family: "Hiragino Kaku Gothic ProN";
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: 0.7px;
}

#kzPreferredDatePopup .kzPreferredHours .kzHoursOption {
  --height: 55px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: var(--height);
  line-height: 160%;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  letter-spacing: 0.9px;
  border-radius: 100px;
  background: var(--brand-color);
  position: relative;
  cursor: pointer;
}

#kzPreferredDatePopup .kzPreferredHours .kzHoursOption > svg {
  --width: 11px;
  width: var(--width);
  height: 16px;
  position: absolute;
  right: calc(var(--height) / 2 - var(--width));
}

#kzPreferredDatePopup .kzPreferredDateNotation {
  margin-bottom: 15px;
  color: #000;
  font-family: "Hiragino Kaku Gothic Pro";
  font-size: 14px;
  font-style: normal;
  font-weight: 300;
  line-height: 160%;
  letter-spacing: 0.7px;
}

#kzPreferredDatePopup.designC .kzPreferredHours .kzAllDayNotation {
  display: block;
}

#kzPreferredDatePopup .kzTitle {
  background: #03a0dc;
  color: #fff;
}

#kzPreferredDatePopup .kzPreferredHours [data-val="1"] .kzHoursOption svg path,
#kzPreferredDatePopup .kzPreferredHours [data-val="2"] .kzHoursOption svg path,
#kzPreferredDatePopup .kzPreferredHours [data-val="3"] .kzHoursOption svg path {
  stroke: #333;
}

/* 全日の説明文 */
#kzPreferredDatePopup .kzPreferredHours > li[data-val="4"] .kzAllDayNotation {
  text-align: center;
  padding-bottom: 7px;
  color: #000;
  font-family: "Hiragino Kaku Gothic ProN";
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: 0.7px;
}

/* 全日（＞）の線色も白に */
#kzPreferredDatePopup .kzPreferredHours > li[data-val="4"] svg path {
  stroke: #fff;
}

#kzPreferredDatePopup {
  max-height: calc(75dvh);
  overflow: hidden;
}

#kzPreferredDatePopup .kzTitle,
#kzPreferredDatePopup .kzSelectedDate {
  flex: 0 0 auto;
}

#kzPreferredDatePopup .kzPreferredHours {
  display: grid;
  grid-template-columns: 1fr 1fr;
  width: 100%;
  min-height: 0;
  overflow-y: auto;
  margin-bottom: 16px;
  padding-bottom: 16px;
  padding: 0 16px 16px;
  column-gap: 10px;
}
